--------------------------------------------------------------------------------
-- Weapon Heal-Team
-- Original Carnage Contest Weapon
-- Script by Wall lll, December 2011, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if ccm==nil then ccm={} end
ccm.healteam={}

-- Load & Prepare Ressources
ccm.healteam.gfx_wpn=loadgfx("weapons/heal_all.bmp")						-- Weapon Image
setmidhandle(ccm.healteam.gfx_wpn)
ccm.healteam.sfx_heal=loadsfx("heal_team.ogg")

--------------------------------------------------------------------------------
-- Weapon: Heal-Team
--------------------------------------------------------------------------------

ccm.healteam.id=addweapon("ccm.healteam","Heal Team",ccm.healteam.gfx_wpn,1,2)	-- Add Weapon (1 use, first in round 3)

function ccm.healteam.draw()												-- Draw
	-- icon above head
	hudinfo("Heal and cure poison of allies!")
	if (weapon_shots<=0) then
		setblend(blend_alpha)
		setalpha(1)
		setcolor(255,255,255)
		setscale(0.5+math.abs(math.sin(math.rad(weapon_charge)))*0.5,0.5+math.cos(math.sin(math.rad(weapon_charge)))*0.5)
		drawimage(ccm.healteam.gfx_wpn,getplayerx(0),getplayery(0)-30)
		-- Animation
		weapon_charge=weapon_charge+5
	end
end

function ccm.healteam.attack(attack)										-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- No more weapon switching!
			useweapon(0)
			weapon_shots=weapon_shots+1
			-- Heal
			playerheal(0,15)
			playerstate(0,state_poisoned,0)
			players=playertable(2)
			for i=1,#players,1 do
				playerstate(players[i],state_poisoned,0)
				playerheal(players[i],15)
				particle(p_ring,getplayerx(players[i]),getplayery(players[i]))
				particlecolor(255,255,255)
			end		
			-- Effect
			playsound(ccm.healteam.sfx_heal)
			x=getplayerx(0)
			y=getplayery(0)+3
			particle(p_muzzle,x,y)
			particlesize(1,1)
			particlecolor(255,0,0)
			particlealpha(1.0)
			particlefadealpha(0.01)
			particle(p_muzzle,x,y)
			particlesize(1,2)
			particlecolor(255,255,255)
			particlealpha(1.0)
			particlefadealpha(0.02)
			particlerotation(0)
			for j=1,15,1 do
				particle(p_lightpuff,x-10.0+math.random()*20.0,y+math.random()*10.0)
				particlesize(3.0,3.0)
				particlecolor(255,255,255)
				particlespeed(0,math.random(2,15)*-0.1)
				particlefadealpha(0.01)
			end
			-- End Turn
			endturn()
		end
	end
end