--------------------------------------------------------------------------------
-- Weapon Night
-- Original Carnage Contest Weapon
-- Script by Wall lll December 2011, www.UnrealSoftware.de
--------------------------------------------------------------------------------
-- MODIFICAION BY Kiffer-Opa:
-- There appears the weapon icon about the player if this
-- weapon is selected.
-- The modificated night has a new side effect: Besides freezing all
-- players, this weapon also removes all fire on the map.

-- Setup Tables
if ccm==nil then ccm={} end
ccm.night={}

-- Load & Prepare Ressources
ccm.night.gfx_wpn=loadgfx("weapons/night.bmp")							-- Weapon Image
setmidhandle(ccm.night.gfx_wpn)
ccm.night.sfx_attack=loadsfx("night.ogg")								-- Night Sound

--------------------------------------------------------------------------------
-- Weapon: Night
--------------------------------------------------------------------------------

ccm.night.id=addweapon("ccm.night","Night",ccm.night.gfx_wpn,0,2)		-- Add Weapon (1 uses, first in round 2)

function ccm.night.draw()												-- Draw
	-- icon above head
	if (weapon_shots<=0) then
		setblend(blend_alpha)
		setalpha(1)
		setcolor(255,255,255)
		setscale(0.5+math.abs(math.sin(math.rad(weapon_charge)))*0.5,0.5+math.cos(math.sin(math.rad(weapon_charge)))*0.5)
		drawimage(ccm.night.gfx_wpn,getplayerx(0),getplayery(0)-30)
		-- Animation
		weapon_charge=weapon_charge+5
	end
end

function ccm.night.attack(attack)										-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- No more weapon switching!
			useweapon(0)
			weapon_shots=weapon_shots+1
			-- Effects
			playsound(ccm.night.sfx_attack)
			setbgcolor(1,1,1,1.0,0.005)
			-- Sleeping players
			local players=playertable()
			for i=1,#players,1 do
				if (random(players[i],100)<=50) then
					playerstate(players[i],state_sleeping,1)
					particle(p_ring,getplayerx(players[i]),getplayery(players[i]))
					particlecolor(1,1,1)
				end
			end
			-- End Turn
			endturn()
		end
	end
end
